<div class="content bg-gradient-danger-duo">
    <div class="container-fluid px-4 px-md-5 pb-3 pt-5 py-md-4">
        <div class="row-title align-text-bottom">
            <h4 id="title" class=" text-white">Lista de Usuarios</h4>
        </div>
        <!-- Page content -->
        <div class="container-fluid px-4 px-md-5 pb-3 pb-md-4">
            <div class="card shadow">
                <div class="card-header text-center border-0 pt-2 pt-md-4 pb-0 pb-md-2">
                    <div class="row g-1 justify-content-between">
                        <div class="demo-button-container align-self-center justify-content-end m-3">
                            <div class="col-auto align-self-center d-flex justify-content-end">
                                <button mat-flat-button [routerLink]="['/newuser']" class="btn btn-danger text-center">
                                    <mat-icon class="me-2 justify-content-end">add_circle_outline</mat-icon>
                                    <span>Nuevo Usuario</span>
                                </button>
                                <button mat-flat-button class="btn btn-success ">
                                    <mat-icon class="me-2 justify-content-end">picture_as_pdf</mat-icon>
                                    <span>Exportar PDF</span>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
                <div>
                    <div class="col">
                        <div class="form-group text-aling-center">
                            <div class="input-group input-group-alternative mb-3">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">
                                        <a mat-flat-button class="btn"><mat-icon class="coloricon">search</mat-icon></a>
                                    </span>
                                </div>
                                <input class="form-control" placeholder="Buscar" type="text">
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Table -->
                <div class="card-body table-responsive">
                    <table mat-table class="table align-items-center table-flush" [dataSource]="dataSource"
                        autosizeColumns="true" matSort (matSortChange)="announceSortChange($event)">
                        <ng-container matColumnaDef="nameu">
                            <th mat-header-cell *matheadercelldef>nameu</th>
                            <td mat-cell *matCellDef="let element">{{element.nameu}}</td>
                        </ng-container>
                        <ng-container matColummnaDef="email">
                            <th mat-header-cell *matheadercelldef>email</th>
                            <td mat-cell *matCellDef="let element">{{element.email}}</td>
                        </ng-container>
                        <ng-container matColumnaDef="pass">
                            <th mat-header-cell *matHeaderCellDef>pass</th>
                            <td mat-cell *matCellDef="let element">{{element.pass}}</td>
                        </ng-container>
                        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                        <tr mat-row *matRowDef="let row;columns:displayedColumns"></tr>
                    </table>
                    <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons
                        aria-label="Select page of periodic elements">
                    </mat-paginator>
                </div>
            </div>
        </div>
    </div>
</div>